package cn.ezhizao.project.business.workOrder.mapper;

import cn.ezhizao.project.business.workOrder.domain.BizWorkOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * 工单信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-16
 */
public interface BizWorkOrderMapper extends BaseMapper<BizWorkOrder>
{
    /**
     * 查询工单信息列表
     *
     * @param bizWorkOrder 工单信息
     * @return 工单信息集合
     */
    public List<BizWorkOrder> getList(BizWorkOrder bizWorkOrder);

    /**
     * 物理删除
     * @param bizWorkOrder
     * @return 删除结果
    */
    public int physicalDelete(BizWorkOrder bizWorkOrder);

    public int insertTasks(List<Map<String, Object>> tableValues);

    public int addReportTask(Long companyId, List<Map<String, Object>> tableValues);

    public int addHousingFund(Long companyId, List<Map<String, Object>> tableValues);

    public int addSocialSecurity(Long companyId, List<Map<String, Object>> tableValues);

    public int stopTasks(List<Map<String, Object>> tableValues);

    List<BizWorkOrder> selectStarMonthList(BizWorkOrder workOrder);
}
